CustomManager Class

class NXOpen.Weld.CustomManager

Bases: object

Represents weld interface to customize the creation of welding joint features.

The “welding joint handler” customization callback is called after the feature is created. One can then set edge preparation parameters, change the color of the feature output curve, add attributes to the feature, or any additional customization.

The “variable bevel handler” customization callback is used to define the limits where a welding joint should be split at.

To obtain an instance of this class, refer to NXOpen.Session

New in version NX8.0.0.

Methods

Method Description
AddDatumIconHandler Registers a user defined method to be notified when the part navigator is updating the surface or pin datum icon.
AddModifyFeatureHandler Registers a user defined method to be notified when weld features are created or edited.
AddPipeJointSetType Registers a user defined method that is called whenever a welding joint is created
AddPointExitHandler Registers a user defined method to be notified when weld point features are created.
AddVariableBevelHandler Registers a user defined method to define variable bevel angles.
AddWeldJointHandler Registers a user defined method that is called whenever a welding joint is created or updated
AskConnectedParts Find the connected part information for the weld feature, curve, point or body.
ConvertLegacy Method to convert all legacy weld points to the NXOpen.Weld.PointMarkPoint class
ConvertTransformWeld Method to convert NXOpen.Weld.Transform to their parent type.
CreateFeatureGroupsForCommonConnectedParts Method to creates Feature Groups to collect individual weld point features that have the same connected part attributes.
HasSourceFacesInWeldPart Method to determine if a NXOpen.Weld.JointmarkElement feature has source faces in the weld part.
ImpactAnalysisCheck Method to perform the Weld Impace Analysis command.
ImpactAnalysisConfirm Method to approve all alerts generated by the Weld Assistant Impact Analysis command.
LocateWelds Method to search all fully loaded parts for welding objects in an assembly or part file.
RemoveDatumIconHandler Unregisters the datum common icon handler
RemoveModifyFeatureHandler Unregisters the modify feature handler
RemovePipeJointSetType Unregisters the pipe joint set type handler
RemovePointExitHandler Unregisters the point feature handler
RemoveVariableBevelHandler Unregisters the variable bevel handler
RemoveWeldJointHandler Unregisters the welding joint handler
ShowSolids Method to change display mode of all Weld.

Method Detail

AddDatumIconHandler

CustomManager.AddDatumIconHandler

Registers a user defined method to be notified when the part navigator is updating the surface or pin datum icon.

Signature AddDatumIconHandler(handler)

Parameters:handler (CallableObject) – method to register
Returns:identifier of registered method (used to unregister the method)
Return type:int

New in version NX9.0.0.

License requirements: None.

AddModifyFeatureHandler

CustomManager.AddModifyFeatureHandler

Registers a user defined method to be notified when weld features are created or edited.

Signature AddModifyFeatureHandler(handler)

Parameters:handler (CallableObject) – method to register
Returns:identifier of registered method (used to unregister the method)
Return type:int

New in version NX8.0.1.

License requirements: None.

AddPipeJointSetType

CustomManager.AddPipeJointSetType

Registers a user defined method that is called whenever a welding joint is created

Signature AddPipeJointSetType(handler)

Parameters:handler (CallableObject) – method to register
Returns:identifier of registered method (used to unregister the method)
Return type:int

New in version NX10.0.0.

License requirements: None.

AddPointExitHandler

CustomManager.AddPointExitHandler

Registers a user defined method to be notified when weld point features are created.

Signature AddPointExitHandler(handler)

Parameters:handler (CallableObject) – method to register
Returns:identifier of registered method (used to unregister the method)
Return type:int

New in version NX8.0.2.

License requirements: None.

AddVariableBevelHandler

CustomManager.AddVariableBevelHandler

Registers a user defined method to define variable bevel angles.

The method will be called from the Weld Joint user Interface.

Signature AddVariableBevelHandler(handler)

Parameters:handler (CallableObject) – method to register
Returns:identifier of registered method (used to unregister the method)
Return type:int

New in version NX8.0.0.

License requirements: None.

AddWeldJointHandler

CustomManager.AddWeldJointHandler

Registers a user defined method that is called whenever a welding joint is created or updated

Signature AddWeldJointHandler(handler)

Parameters:handler (CallableObject) – method to register
Returns:identifier of registered method (used to unregister the method)
Return type:int

New in version NX8.0.0.

License requirements: None.

AskConnectedParts

CustomManager.AskConnectedParts

Find the connected part information for the weld feature, curve, point or body.

NXOpen.Weld.CustomManager.LocateWelds() can be used to retrieve weld data from a part.

The data is stored in NXOpen.Weld.ConnectedPart containing the appropriate connected part information. If the weld input is an occurrence then a body or part occurences will be returned in the output structures for reading the attributes on the connected parts.

Signature AskConnectedParts(weldTag)

Parameters:weldTag (NXOpen.NXObject) – Weld feature, curve, point or solid body.
Returns:Connected parts information. None if none are found.
Return type:NXOpen.Weld.ConnectedPart

New in version NX11.0.0.

License requirements: None.

ConvertLegacy

CustomManager.ConvertLegacy

Overloaded method ConvertLegacy

  • ConvertLegacy()
  • ConvertLegacy(fsetFeatures)
  • ConvertLegacy(fsetFeatures, createSingleFeatures)

-------------------------------------

Method to convert all legacy weld points to the NXOpen.Weld.PointMarkPoint class

Signature ConvertLegacy()

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Method to convert selected legacy weld point feature sets to the NXOpen.Weld.PointMarkPoint class

Signature ConvertLegacy(fsetFeatures)

Parameters:fsetFeatures (list of NXOpen.Features.Feature) – The pre-NX10 weld feature sets to convert

New in version NX10.0.1.

License requirements: None.

-------------------------------------

Method to convert weld point feature sets to the NXOpen.Weld.PointMarkPoint class

Signature ConvertLegacy(fsetFeatures, createSingleFeatures)

Parameters:
  • fsetFeatures (list of NXOpen.Features.Feature) – The pre-NX10 weld feature sets to convert
  • createSingleFeatures (bool) – true to create single features with no master feature, false to create a master feature.

New in version NX10.0.3.

License requirements: None.

-------------------------------------

ConvertTransformWeld

CustomManager.ConvertTransformWeld

Method to convert NXOpen.Weld.Transform to their parent type.

For example, if a NXOpen.Weld.WeldBead is the parent, this function will convert the NXOpen.Weld.Transform to a NXOpen.Weld.WeldBead in the location of the the NXOpen.Weld.Transform.

Signature ConvertTransformWeld(selectedObjects)

Parameters:selectedObjects (list of NXOpen.Features.Feature) – Array of features to convert.

New in version NX11.0.1.

License requirements: None.

CreateFeatureGroupsForCommonConnectedParts

CustomManager.CreateFeatureGroupsForCommonConnectedParts

Method to creates Feature Groups to collect individual weld point features that have the same connected part attributes.

Calling with numWeldFeatures equal to zero will cause all NXOpen.Weld.JointmarkElement in the work part to be grouped. Connected parts A-B-C and C-B-A will be in the same group.

Signature CreateFeatureGroupsForCommonConnectedParts(weldFeatures)

Parameters:weldFeatures (list of NXOpen.Weld.JointmarkElement) – Individual features (those without a master feature) to group .

New in version NX11.0.2.

License requirements: None.

HasSourceFacesInWeldPart

CustomManager.HasSourceFacesInWeldPart

Method to determine if a NXOpen.Weld.JointmarkElement feature has source faces in the weld part.

Signature HasSourceFacesInWeldPart(weldFeature)

Parameters:weldFeature (NXOpen.Features.Feature) – The feature to check
Returns:Indicates if source faces are in the weld part.
Return type:list of bool

New in version NX11.0.1.

License requirements: None.

ImpactAnalysisCheck

CustomManager.ImpactAnalysisCheck

Method to perform the Weld Impace Analysis command.

This will fully load connected parts of the selected objects and generate navigator alert messages if input faces, or feature specific parameters have changed.

Signature ImpactAnalysisCheck(selectedObjects)

Parameters:selectedObjects (list of NXOpen.NXObject) – Array of objects to perform an Impact Analysis for.

New in version NX11.0.0.

License requirements: None.

ImpactAnalysisConfirm

CustomManager.ImpactAnalysisConfirm

Method to approve all alerts generated by the Weld Assistant Impact Analysis command.

New alert messages are based on the approved objects.

Signature ImpactAnalysisConfirm(selectedObjects)

Parameters:selectedObjects (list of NXOpen.NXObject) – Array of objects to approve Impact Analysis alerts for.

New in version NX11.0.0.

License requirements: None.

LocateWelds

CustomManager.LocateWelds

Overloaded method LocateWelds

  • LocateWelds(searchEntireAssembly, wantSolids, wantCurves, wantPoints)
  • LocateWelds(searchEntireAssembly, excludeInvisibleComponents, wantSolids, wantCurves, wantPoints)
  • LocateWelds(searchEntireAssembly, excludeInvisibleComponents, wantSolids, wantCurves, wantPoints, wantStructureWelds)

-------------------------------------

Method to search all fully loaded parts for welding objects in an assembly or part file. An array of solids, curves and points can be output

Signature LocateWelds(searchEntireAssembly, wantSolids, wantCurves, wantPoints)

Parameters:
  • searchEntireAssembly (bool) –
  • wantSolids (bool) –
  • wantCurves (bool) –
  • wantPoints (bool) –
Returns:

Array of objects passing the search criteria specified.

Return type:

list of NXOpen.NXObject

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Method to search all fully loaded parts for welding objects in an assembly or part file. An array of solids, curves and points can be output

Signature LocateWelds(searchEntireAssembly, excludeInvisibleComponents, wantSolids, wantCurves, wantPoints)

Parameters:
  • searchEntireAssembly (bool) –
  • excludeInvisibleComponents (bool) –
  • wantSolids (bool) –
  • wantCurves (bool) –
  • wantPoints (bool) –
Returns:

Array of objects passing the search criteria specified.

Return type:

list of NXOpen.NXObject

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Method to search all fully loaded parts for welding objects in an assembly or part file. An array of solids, curves and points can be output. Structure welds can also be included in the search.

Signature LocateWelds(searchEntireAssembly, excludeInvisibleComponents, wantSolids, wantCurves, wantPoints, wantStructureWelds)

Parameters:
  • searchEntireAssembly (bool) –
  • excludeInvisibleComponents (bool) –
  • wantSolids (bool) –
  • wantCurves (bool) –
  • wantPoints (bool) –
  • wantStructureWelds (bool) –
Returns:

Array of objects passing the search criteria specified.

Return type:

list of NXOpen.NXObject

New in version NX11.0.2.

License requirements: None.

-------------------------------------

RemoveDatumIconHandler

CustomManager.RemoveDatumIconHandler

Unregisters the datum common icon handler

Signature RemoveDatumIconHandler(id)

Parameters:id (int) – identifier for method to unregister

New in version NX9.0.0.

License requirements: None.

RemoveModifyFeatureHandler

CustomManager.RemoveModifyFeatureHandler

Unregisters the modify feature handler

Signature RemoveModifyFeatureHandler(id)

Parameters:id (int) – identifier for method to unregister

New in version NX8.0.1.

License requirements: None.

RemovePipeJointSetType

CustomManager.RemovePipeJointSetType

Unregisters the pipe joint set type handler

Signature RemovePipeJointSetType(id)

Parameters:id (int) – identifier for method to unregister

New in version NX10.0.0.

License requirements: None.

RemovePointExitHandler

CustomManager.RemovePointExitHandler

Unregisters the point feature handler

Signature RemovePointExitHandler(id)

Parameters:id (int) – identifier for method to unregister

New in version NX8.0.2.

License requirements: None.

RemoveVariableBevelHandler

CustomManager.RemoveVariableBevelHandler

Unregisters the variable bevel handler

Signature RemoveVariableBevelHandler(id)

Parameters:id (int) – identifier for method to unregister

New in version NX8.0.0.

License requirements: None.

RemoveWeldJointHandler

CustomManager.RemoveWeldJointHandler

Unregisters the welding joint handler

Signature RemoveWeldJointHandler(id)

Parameters:id (int) – identifier for method to unregister

New in version NX8.0.0.

License requirements: None.

ShowSolids

CustomManager.ShowSolids

Method to change display mode of all Weld.

PointMarkPoint feature that are fully loaded in an assembly

Signature ShowSolids(showSolids)

Parameters:showSolids (bool) – true to show solids, false to show points.

New in version NX10.0.0.

License requirements: None.